GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "454e7868-77c4-4976-9684-65c8222ee201",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "ddba4005-1281-4ad2-9435-796175dd5ef2",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "61faa732-a488-44b8-beae-1b9ea33b7759",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "5c999fff-4403-4f0c-8c3f-aa3a4c07a7bb",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "b7b8998a-6b11-4bc2-b6f2-11e7f5622641",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "91154bde-1b8b-4b05-ac9d-2eb62f31b149",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "766cee61-d20c-4827-8769-dc1be740c667",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-26T15:02:41.5148804-07:00",
"MeasurementValueNeededDate": "2026-10-26T15:02:41.5148804-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "5e37ad0a-c600-485c-9f89-4381d9ae88d0",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-26T15:02:41.5148804-07:00",
"MeasurementValueNeededDate": "2026-10-26T15:02:41.5148804-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "2fe433c2-80e7-4f90-9748-9bddd786d650",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-26T15:02:41.5148804-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "e097d80a-ef9c-4aac-876e-6560bd8a3c74",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "454e7868-77c4-4976-9684-65c8222ee201",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "ddba4005-1281-4ad2-9435-796175dd5ef2",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "61faa732-a488-44b8-beae-1b9ea33b7759",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "5c999fff-4403-4f0c-8c3f-aa3a4c07a7bb",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "b7b8998a-6b11-4bc2-b6f2-11e7f5622641",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "91154bde-1b8b-4b05-ac9d-2eb62f31b149",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "766cee61-d20c-4827-8769-dc1be740c667",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-26T15:02:41.5148804-07:00",
"MeasurementValueNeededDate": "2026-10-26T15:02:41.5148804-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "5e37ad0a-c600-485c-9f89-4381d9ae88d0",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-26T15:02:41.5148804-07:00",
"MeasurementValueNeededDate": "2026-10-26T15:02:41.5148804-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "2fe433c2-80e7-4f90-9748-9bddd786d650",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-26T15:02:41.5148804-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "e097d80a-ef9c-4aac-876e-6560bd8a3c74",
"CreateDate": "2026-10-26T15:02:41.5148804-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T15:02:41.5148804-07:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}